aboutsummaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorGuilhem Moulin <guilhem@fripost.org>2019-12-15 03:38:59 +0100
committerGuilhem Moulin <guilhem@fripost.org>2019-12-15 03:39:04 +0100
commit49d7a90c159b12173ce202fb9b101465b87da96c (patch)
tree82845758da1d24bd33e13c994ed97d98a0a49287 /tests
parenta7517e35cf0c835fcb68db56d8634fab9b4d5f0d (diff)
tests/run: Don't redirect stderr by process substitution.
This seems to cause timing issues.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/run8
1 files changed, 5 insertions, 3 deletions
diff --git a/tests/run b/tests/run
index a34e4a9..4aa0685 100755
--- a/tests/run
+++ b/tests/run
@@ -202,11 +202,13 @@ prepare
interimap() { _interimap_cmd "interimap" "$@"; }
pullimap() { _interimap_cmd "pullimap" "$@"; }
_interimap_cmd() {
- declare -a ENVIRON=() r=0
- local script="$1"
+ declare -a ENVIRON=()
+ local script="$1" rv=0
shift
environ_set "local"
- env -i "${ENVIRON[@]}" perl -I./lib -T "./$script" "$@" 2> >(tee "$STDERR" >&2)
+ env -i "${ENVIRON[@]}" perl -I./lib -T "./$script" "$@" 2>"$STDERR" || rv=$?
+ cat <"$STDERR" >&2
+ return $rv
}
interimap_init() {
local u="${1-remote}"